---
title: 'Reason: invalid token ‘xyz’ in CORS header ‘Access-Control-Allow-Methods’'
slug: Web/HTTP/CORS/Errors/CORSInvalidAllowMethod
tags:
  - CORS
  - CORSInvalidAllowMethod
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: invalid token ‘xyz’ in CORS header ‘Access-Control-Allow-Methods’</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The response to the {{Glossary("CORS")}} request that was sent by the server includes an {{HTTPHeader("Access-Control-Allow-Methods")}} header which includes at least one invalid method name.</p>

<p>The <code>Access-Control-Allow-Methods</code> header is sent by the server to let the client know what <a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a> it supports for CORS requests. The header's value is a comma-delineated string of HTTP method names, such as {{HTTPMethod("GET")}}, {{HTTPMethod("POST")}}, or {{HTTPMethod("HEAD")}}. If any of the specified values are not recognized by the client {{Glossary("user agent")}}, this error occurs.</p>

<p>This is a problem that most likely can only be fixed on the server side, by modifying the server's configuration to no longer send the invalid or unknown method name with the <code>Access-Control-Allow-Methods</code> header. It may also be worth checking to ensure that the user agent or HTTP library you're using on the client is up-to-date.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a></li>
</ul>
